package columnGeneration;

import java.util.List;

import instance.Task;

/**
 * Simple class to model a duty. Each duty is defined by a cost and a list of
 * tasks.
 * 
 * @author B.T.C. van Rossum
 */
public class Duty
{
	private final int cost;
	private final List<Task> tasks;

	/**
	 * Initialise a duty with specified cost and list of tasks.
	 * 
	 * @param cost  cost of the duty
	 * @param tasks list of tasks in the duty
	 */
	public Duty(int cost, List<Task> tasks)
	{
		this.cost = cost;
		this.tasks = tasks;
	}

	/**
	 * Returns cost of the duty.
	 * 
	 * @return cost of the duty.
	 */
	public int getCost()
	{
		return cost;
	}

	/**
	 * Returns the list of tasks in the duty.
	 * 
	 * @return list of tasks in the duty
	 */
	public List<Task> getTasks()
	{
		return tasks;
	}
}
